ARG BASE_CONTAINER=betalupi/jupyter-base
FROM $BASE_CONTAINER
LABEL maintainer="Mark <mark@betalupi.com>"

USER ${NB_UID}

RUN mamba install --yes \
		"jupyterlab-git" \
		"jupyterlab-link-share" \
	&& \
	# Cleanup
	mamba clean --all -f -y && \
	npm cache clean --force && \
	jupyter lab clean && \
	rm -rf "/home/${NB_USER}/.cache/yarn" && \
	fix-permissions "${CONDA_DIR}" && \
	fix-permissions "/home/${NB_USER}"