# LaTeX Image

A docker image that contains `latexmk` and all requirements. Can be used by CI/CD, or can act as a simple replacement of a full latex installation.


## Contents
 - `Dockerfile`: Builds the image
 - `run.sh`: Copied into the container, runs `latexmk`
 - `latexmk.sh`: Run by host system, can replace `latexmk`.


## Notes

This image has no entrypoint to make it compatible with CI/CD tools. `run.sh` is executed manually (see `latexmk.sh`).

The image takes a few envvars, they are all documented in `latexmk.sh`.